
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>大数据平台技术发展脉络 / iVAN</title>

    <meta name="description" content="大数据平台技术发展脉络 作为集团&quot;大数据平台技术&quot;战略研究的准备工作,本文梳理了近年来作者观测到的大数据行业技术演进的路径,希望把握发展脉络,找到适合公司业务实际的方向.文章力求用通俗的方式描述概念,最大程度减少专业图表与细节,以便向公司管理层与业务部门同事介绍大数据平台技术的发展与趋势,这里分享给金融行业的朋友参考. 数据技术演进 软件系统,小到HelloWorld编程入门,大到数亿人同时使用的社交软件.搜索引擎,或者是基于公有云的软件即服务(SaaS),本质上都是在处理两件事情:业务逻辑与数据. ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">大数据平台技术发展脉络</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>作为集团“大数据平台技术”战略研究的准备工作，本文梳理了近年来作者观测到的大数据行业技术演进的路径，希望把握发展脉络，找到适合公司业务实际的方向。文章力求用通俗的方式描述概念，最大程度减少专业图表与细节，以便向公司管理层与业务部门同事介绍大数据平台技术的发展与趋势，这里分享给金融行业的朋友参考。</p>
<p><a href="http://s1.51cto.com/wyfs02/M02/8B/EF/wKiom1hcyGSSTW9fAABtoUe34aY292.jpg-wh_651x-s_477801054.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvOEIvRUYvd0tpb20xaGN5R1NTVFc5ZkFBQnRvVWUzNGFZMjkyLmpwZy13aF82NTF4LXNfNDc3ODAxMDU0LmpwZw==.jpg"></a></p>
<p><strong>数据技术演进</strong></p>
<p>软件系统，小到HelloWorld编程入门，大到数亿人同时使用的社交软件、搜索引擎，或者是基于公有云的软件即服务(SaaS)，本质上都是在处理两件事情：业务逻辑与数据。随着信息时代的纵深发展，业务逻辑不断丰富与演化的同时，其所产生与处理的数据量(Volume)也出现指数级的迅速增长，业务所要求的系统处理速度(Velocity)从批量向准实时与实时过度，数据的种类(Variety)也从简单的结构化的记录向文本、语音、图像视频等丰富的形式发展。这就是大数据的三个最典型的特征。</p>
<p>传统的结构化数据处理过程是：在线交易系统(OLTP，通常是关系型数据库)产生的数据，经过Federation/ETL工具整合清洗后，加载到在线分析系统(OLAP，通常是数据仓库、BI与统计分析)，然后生成报表或统计模型。大数据的三个V对吞吐量、响应时间的要求都超越了这个成熟的模式的技术上限。因而催生了大量的能处理海量数据的新框架。</p>
<p>这些新框架沿着两个思路解决吞吐量与响应时间的问题：垂直扩展(scale up)或 水平扩展(scale out)。垂直扩展门槛高，技术为IBM之类的大公司所垄断，而水平扩展则门槛相对较低，以源自Google公司的Map Reduce为代表，在开源的推动下迅速普及。著名的Apache Hadoop就是此类技术的代表，具备强大的生命力。</p>
<p>这些新框架多来自程序社区，其繁荣一度让人们觉得可以淘汰数据社区SQL那套技术体系。随着多种NoSQL 数据库的广泛应用，人们发现，数据的一致性，可用性与并行性三者不是可以同时获得的，强化其中之一是以弱化另外一个要素为代价的。而且编程方式的数据使用缺乏一致的标准，造成诸多问题。因而，程序社区与数据社区的逐步融合成为趋势选择，NoSQL 发展成 Not Only Sql, 再到 NewSQL, 水平扩展的新型数据处理框架获得了标准化的SQL访问界面。</p>
<p>在很多场景下，分而治之的方式可以解决吞吐量的问题，单位时间内，增加更多的机器，可以增加处理的数据量，Volume的问题得到解决。而系统对于处理速度的不懈追求，则可以通过不断拉近数据与处理器(CPU)的距离得到满足，磁带到硬盘，硬盘到SSD，SSD 到 Flash， Flash到内存，内存到一二级Cache, 再到寄存器。从内存数据库到分布式Cache，再到Spark， 处理同等量的数据越来越快。</p>
<p>处理多样性数据的系统也在与时俱进，对应数仓/BI时期的多媒体内容管理系统，多是以描述这些多媒体内容的元数据作为索引，访问链接到这些内容数据。新分布式大数据处理框架下，则引入了文本分析，语音图像的机器学习以至深度学习技术来“认识”这些内容，而不是简单的存储与访问。基于互联网海量内容的知识图谱的构建也有大幅度进步。</p>
<p><strong>Fintech数据处理</strong></p>
<p>金融，一直是数据系统的重量级应用行业，信息化早，程度也高。随着IBM ORACLE等巨头在该行业深耕多年，金融机构大多在传统的数据体系上有了较为完备的建设。OLTP交易系统、数据同步、整合与治理、数据仓库/集市、BI 报表与统计分析，是相对完善的。不少的企业还实现了内容管理系统的建设使用。</p>
<p>互联网企业在大数据上面构筑的数据资产壁垒，开发利用后获取的竞争优势，让传统的金融企业，特别是那些坐拥亿万客户资源的金融企业，开始意识到大数据带来的价值以及潜在的驱动与变革力量，逐步重视积累与发掘利用大数据资产，籍此提升企业的科技能力，获取行业的竞争优势。“数据阳光”就是阳光保险集团高瞻远瞩的重要战略。</p>
<p>金融行业服从严格的数据安全与监管，对数据一致性近乎苛求。因而传统的金融数据体系以可靠性与一致性为原则构建，强调事务处理，其中涉及到的分布系统也都具备两阶段提交(2PC)等分布式事务能力。起源于互联网企业的大数据处理框架，则多选择放松处理过程中的一致性要求，提升系统并行能力与性能，仅追求最终一致性。因而在金融数据体系中，分析型的系统相对交易系统，更适合采用这些框架。</p>
<p>风险控制是金融企业核心能力，风控与征信变成金融大数据的主场景。获取足够的用户行为数据，建立合理的评估模型，有助于企业在用户金融活动的整个生命周期规避风险，提升服务水平。现行的金融技术体系，无法从技术上确保交易主体间的相互信任，需要依赖第三方征信主体参与，而鉴于数据碎片化、交易壁垒与隐私保护等因素，基于大数据的征信，目前以至未来很长时间，还有较大的改进空间。</p>
<p>区块链技术的繁荣，以及与金融科技的逐步融合，有巨大的潜力改变现有的金融数据体系。区块链被认为是技术保证信任的价值网络，或者说是业务互联网。业务实体可以相互信任的处理之间的金融交易，而无需中心征信机构的参与。链上的数据以加密方式参与分布式事务/容错(Paxos/PBFT)，确保不可篡改的一致性。强的分布式与一致性，需以牺牲系统性能为代价，因而较为适合替代现有金融系统中的数据骨干网络。而对于类似每秒10几万次交易的支付系统则是不适合的。</p>
<p><strong>云支撑大数据</strong></p>
<p>大数据是资源密集型的系统，对于存储、计算、网络等核心IT资源需求强劲，自然成为云计算最佳支撑领域。目前主流的云平台都配有自成体系的大数据系统，满足企业大数据处理端到端的需求，也就是从数据采集获取、同步加载、整合清洗、安全管控、分析建模、可视化、机器学习、深度学习一整套支撑工具与系统。多数基于开源的体系定制并优化，典型的如亚马逊AWS 上的EMR，微软Azure上的HDInsight等, 都基于Apache Hadoop。 这些能力通常具有非常强的伸缩性，多租户共享，适应企业忙时闲时的不同需求，并且按照用量计费，用多少付多少费用。这些系统和工具多以平台即服务(PaaS)+ 设施即服务(IaaS)方式在公有云上提供。</p>
<p>考虑到不少企业，特别是金融企业的数据体系，具有非常强的数据安全与监管要求，不少云平台提供商将其公有云上的数据能力，也整合打包到其相应的私有云商业软件套件之中，例如微软私有云套件，阿里云私有云中的大数据平台等。这些商业软件套件按照企业用户的要求，部署到企业自建自营的数据中心中，提供类似公有云上的端到端的数据能力。企业用户获得了对平台、对数据自主控制的能力，损失了相应的弹性与及时更新。</p>
<p>云计算技术已进入普及阶段，寡头产生。国际巨头亚马逊、微软、IBM纷纷落地中国，阿里，腾讯等几家云计算也强势崛起。这些主流的云平台除了提供通用的大数据能力之外，还纷纷针对金融企业的特殊性推出相应的金融云服务，这里包括金融业务系统以及相应的数据保护、安全防攻击等等，不同层级的软硬件隔离或共享的策略，满足不同的安全意愿。相应的服务日趋健全，例如新筹建保险公司，金融云可以与筹建团队一起满足保监会在IT与数据层面的筹建要求。</p>
<p>目前国内大型企业多采用公有云与私有云相结合的混合云方式，将核心的数据系统控制在自家的数据中心中，将部分前端业务系统与外围业务系统部署到公有云上，以获取一定的弹性与灵活性，节约成本。</p>
<p>从技术层面讲，目前主流云平台多以提供资源的虚拟化为基础，将存储、CPU、内存、网络以虚拟机或容器的方式实现逻辑隔离，基于逻辑上的隔离共享与调度支持上层的数据处理体系，如数据仓库、分布式大数据框架(Hadoop, Spark等)、机器学习模型与算法等。并且依据大数据应用负载的不同，针对计算密集，磁盘IO密集或网路IO密集的不同特点，做不同的优化，甚至抛开虚拟化，直接在硬件系统上部署大数据框架。</p>
<p><strong>人工智能平台</strong></p>
<p>年过半百的人工智能，经历两次发展低谷到近十年来再次爆发，与大数据在深度与广度上的积累，以及相关处理技术的长足进步密不可分。人工智能依赖机器学习，垂直领域不断丰富的数据积累，为机器学习提供了原材料;开源的水平扩展的大数据框架为各种复杂的机器学习算法提供了价格低廉的算力，从而推动了人工智能在包括搜索、广告、语音识别、图像识别、自然语音理解等等领域的质的飞跃。</p>
<p>机器学习就是发现用来学习的数据集里面隐含的规律的过程，简单情况下，可以将这种隐含的规律描述为某种数学函数，给定某些输入，可以得到某些输出。但大部分时候，机器学习的结果无法直观表达为函数，而是一个可以运行的计算模型，从此种意义上看，是数据产生了程序逻辑，以前这些逻辑只能由程序员编码实现。目前这些机器学出来的模型广泛应用在许多不同领域，来做分群、分类或者预测。</p>
<p>作为机器学习的一个重要前沿分支，深度学习技术在语音与图像识别、自然语言处理，概念与内容理解等方面带来实质性重大技术进步，已成为大数据价值转化商业财富的有效手段。Google，微软，Facebook，百度等科技巨头在深度学习领域持续取得进展，研发成果也以开源的方式分享出来，例如Google的Tensorflow， 微软的CNTK 等优秀的深度学习框架，以及海量的标注数据。这些工具对Hadoop, Spark等开源大数据框架提供了良好支持，显著降低了企业应用深度学习的门槛。</p>
<p>作为机器学习成果的综合试验场，移动设备上的智能聊天机器人(或称私人助手)大热。苹果Siri, Google Now, 微软Cortana都可以学习用户行为习惯，理解语义语境，与用户人机对话。这些聊天机器人吸引并沉淀了大量用户，成为新的人机交互入口。Facebook，Google与微软更是顺势推出 Bot Engine/Bot Framework等机器人引擎，其背后是云端的认知服务体系，一套也可做语音识别、自然语言理解、语音合成、视觉识别、情感分析、面部识别、视频检测，搜索等功能的人工智能平台。厂商将这种智能的人机交互能力以机器人引擎加人工智能平台的方式开放出来，用来构建庞大的生态系统。</p>
<p>综上所述，随着企业与互联网数据技术不断融合，大数据平台技术呈现出两大发展脉络:(1)沿着从依托编程、专注物理底层逻辑，到深度依赖数据、数据产生业务逻辑的脉络不断进化。(2)新型的人机交互方式，则将大数据平台技术能力服务化，而平台支撑的机器学习算法的革新，则为这种服务持续赋予智能。可以预见，不远的将来，智能化大数据平台将成为公司数字化经营决策的中枢神经，每一个公司都会有自己的数字大脑。</p>
<p>本文作者：王庆法</p>
<p>来源：51CTO</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 11:29:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%88%86%e5%b8%83%e5%bc%8f/" title="分布式">分布式</a>, <a href="https://www.iamivan.net/tag/%e4%ba%92%e8%81%94%e7%bd%91/" title="互联网">互联网</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e5%b9%b3%e5%8f%b0/" title="云平台">云平台</a>, <a href="https://www.iamivan.net/tag/%e6%b7%b1%e5%ba%a6%e5%ad%a6%e4%b9%a0/" title="深度学习">深度学习</a>, <a href="https://www.iamivan.net/tag/%e4%ba%ba%e5%b7%a5%e6%99%ba%e8%83%bd/" title="人工智能">人工智能</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e6%95%b0%e6%8d%ae/" title="大数据">大数据</a>, <a href="https://www.iamivan.net/tag/google/" title="google">google</a>, <a href="https://www.iamivan.net/tag/%e6%9c%ba%e5%99%a8%e4%ba%ba/" title="机器人">机器人</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e4%bb%93%e5%ba%93/" title="数据仓库">数据仓库</a>, <a href="https://www.iamivan.net/tag/%e5%85%ac%e6%9c%89%e4%ba%91/" title="公有云">公有云</a>, <a href="https://www.iamivan.net/tag/%e7%a7%81%e6%9c%89%e4%ba%91/" title="私有云">私有云</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%a4%84%e7%90%86/" title="数据处理">数据处理</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>大数据平台技术发展脉络的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBnYmb.html" rel="bookmark">企查查支撑8000万&plus;企业数据的大数据平台技术选型与实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				11+大数据行业应用实践请见https://yq.aliyun.com/activity/156,同时这里还有流计算.机器学习.性能调优等技术实践.此外,通过Maxcompute及其配套产品,低廉的大数据分析仅需几步,详情访问https://www.aliyun.com/product/odps:更多精彩内容参见大数据频道:https://yq.aliyun.com/big-data . 企查查是苏州朗动网络科技公司旗下的一款核心企业信息查询工具,立足于企业征信的相关信息整合,经过深度学习.特征			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGZkrlp.html" rel="bookmark">大数据平台的发展会降低程序员的价值吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				针对本题,粗略地把研发人员的能力分为以下3类: 业务逻辑研发的能力: 将业务逻辑转化为代码实现的能力. 系统架构的能力: 高并发高负荷系统的设计实现能力,系统底层服务的研发能力. 特殊领域: 机器学习,自然语言,搜索推荐,语言与框架的开发等特殊的小众领域,暂不做讨论. 业务逻辑研发的能力 对于只关注业务研发的同学来说,的确影响不大,而且随着云服务商对各种服务提供更完善的工具,业务研发的同学工作会更加轻松和高效,例如阿里云数加提供的大数据平台服务,可以很方便地实现各种大数据解决方案. 系统架构的能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Z32Bb.html" rel="bookmark">DockOne微信分享（九十九）：海航生态科技舆情大数据平台容器化改造</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是DockOne微信分享(九十九):海航生态科技舆情大数据平台容器化改造[编者的话]海航舆情监控系统能够为海航集团内部提供监控网络舆情信息,对负面信息.重大舆情及时预警,研判具体舆情或者某一舆情专题事件的发展变化趋势,生成图标报告和各种统计数据,提高舆情工作效率和辅助领导决策.然而,随着项目的持续运行,许多问题逐渐暴露出来,为了解决这些难题,对整个项目重新规划设计,迁移到Hadoop.Spark大数据平台,引进持续化Docker容器部署和发布,开发和运营效率得到显著提升. 一. 舆情平台			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94LRkb.html" rel="bookmark">广东电网公司大数据平台初步建成</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;广东电网公司积累的经营.管理和电网运行数据总量已超过2000TB,并仍以每年20%的速度快速增长,数据资产覆盖到营销.资产.生产等核心业务系统数据及企业外部数据,数据类型覆盖了结构化.非结构化数据及实时流数据,存在对数据的实时性处理速度快的数据应用需求场景,对于负荷预测.网架优化等分析结果要保证一定的准确性--总体来说具备大数据5V,即大体量(Volume).多样性(Variety).时效性(Velocity).准确性(Veracity).大价值(Value)的特征.&quot;广东电网公司信			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baqByXb.html" rel="bookmark">Teradata李向前：大数据平台的八大特征</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是Teradata李向前:大数据平台的八大特征,在IT业界,2012年最火的是什么?无疑莫过于大数据.对于大多数企业,随着互联网.移动互联网以及企业自身应用系统的普及,企业的数据正呈现前所未有的快速增长,特别是非结构化数据,如视频.图片.微博碎片化数据等给企业带来很大挑战. IDC的研究表明,2009-2020年,全球数字信息量将实现44倍的增长,其中需要管理的文件数将增加67倍,总存储容量将增长30倍.企业在PB级甚至EB级的数据中寻找相关信息无异于大海捞针,制订信息驱动决策的成本和复			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk5Dndb.html" rel="bookmark">贺易搜易淘合作站长 共铸地球村大数据平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 SEO诊断 淘宝客 云主机 技术大厅 2014年第三届渠道网创业加盟博览会隆重闭幕!易搜易淘&quot;罗浮宫杯&quot;百天百家个人渠道商城站长招募活动继续拉开帷幕,欢迎全国各地企业与个人关注和了解,我们期待您的加入,共铸辉煌.共同努力.共同发展.共同赚钱! 中国这只狮子,已经开始醒了,中华民族最伟大复兴的中国梦需要我们还在装睡的狮子睁开眼睛,一起走进易搜易淘电商开放平台,一起并肩合作,团结起来,共同努力,共建地球村大数据平台--&quot;易搜易淘电商全供应链一体化共业平台&quot;.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b24GVVp.html" rel="bookmark">流式大数据实时处理技术、平台及应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要:大数据处理系统根据其时效性可分为批式大数据和流式大数据两类.上述两类系统均无法满足&quot;事中&quot;感知查询分析处理模式的需求.为此,从分析大数据应用场景入手,提出了&quot;流立方&quot;流式大数据实时处理技术和平台,在完整大数据集上实现了低迟滞.高实时的即席查询分析.目前基于&quot;流立方&quot;平台开发的业务系统已应用到金融风控反欺诈.机器防御等领域,具有广阔的应用前景. 1.引言 大数据技术的广泛应用使其成为引领众多行业技术进步.促进效益增长的关键支撑技术.根据数据处			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLg9N8M.html" rel="bookmark">大数据等技术融入 智慧物流发展蹄疾步稳</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目前,&quot;互联网+&quot;正在给各行各业带来深刻地变革.对物流行业来说也不例外,云计算.大数据等技术的融入,使物流行业走上智慧化发展道路. 数据显示,我国快递业务量规模去年继续稳居世界首位.作为世界第一快递大国,我国物流发展水平和智慧化程度如何?近日,交通运输部科学研究院.菜鸟网络与阿里研究院共同发布的&lt;中国智慧物流大数据发展报告&gt;显示,2016年我国智慧物流指数全年均值为40.9,处于快速发展阶段. 供给侧改革先行军 &quot;智慧物流&quot;的特点是将物联网.传感网与互联			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWlJEz.html" rel="bookmark">从小数据分析到大数据平台，这十几年来大数据开源技术是如何演进的？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先,介绍两个使用案例. 第一个是OLTP流程,主要指的是整个商业应用和流程.我们会收集交易数据,在业务过程当中收集数据,比如要销售一些网上产品,可能希望把每一单都能够记录下来. 第二个主要案例是OLAP,主要指的是分析数据,我们让所有收集的数据能够有意义,可以帮助我们生成报告,根据数据分析,进行业务决策.这个应用场景下,我们会把一些数字,比如说收益,将整个数据维度Dimensions以及Measures和数据整合在一起. Small Data Analytics 在一个小数据里可以做以上两个应			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvm1Wb.html" rel="bookmark" class="title">Photoshop给室内婚片加上梦幻的韩系淡黄色</a>
					<div>
						图片构图及细节都保持的不错,处理的时候只需要微调一下颜色.可以把原因偏冷的颜色转为柔和的暖色,同时还可以加入一些烟雾等增加梦幻感. 原图 最终效果 1.原图采用的是CR2原始格式,拖进Adobe Ph ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr7Kmp.html" rel="bookmark" class="title">JavaScript权威设计--jQuery&comma;Ajax&period;animate&comma;SVG&lpar;简要学习笔记二十&rpar;&lbrack;完结篇&rsqb;</a>
					<div>
						1.$和jquery在全局命名空间中定义的唯一两个变量.   2.jquery是工厂函数,不是构造函数.他返回一个新创建的对象.   3.jquery的四种调用方式:     &lt;1&gt;传递C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr7qxp.html" rel="bookmark" class="title">金山wps表格照相机功能有什么用？</a>
					<div>
						  打开金山wps表格文档,我们会发现,金山wps表格的工具栏里有一个&quot;照相机&quot;的功能,那么,金山wps表格的照相机功能有什么用途呢?还不知道的网友可以一起来看一下今天的小编给大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBRgob.html" rel="bookmark" class="title">FileSystemObject 和 Scripting 运行时库参考的介绍</a>
					<div>
						filesystemobject|参考   FileSystemObject (FSO) 对象模式,允许对大量的属性.方法和事件,使用较熟悉的 object.method 语法,来处理文件夹和文件.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVl0nM.html" rel="bookmark" class="title">网页设计技巧&colon;设计颜色尺寸对齐方式对比</a>
					<div>
						原文链接:http://webdesignledger.com/tips/the-principle-of-contrast-in-web-design 译者:猪小凡 网页设计是由很多个不同的元素构成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnaK0M.html" rel="bookmark" class="title">解析不同类型外链的效果</a>
					<div>
						外链是网站建设重要的组成部分,它对于提高网站的权重有着至关重要的作用.而外链分为锚文本.超链接.纯文本以及跳转链接,这四种主要的链接又有着各自的有点以及独特的贡献,对它们了解清楚,然后适时运用对自己网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBB3Ob.html" rel="bookmark" class="title">界面组合SDK中Hook机制实现原理</a>
					<div>
						在前一篇简要介绍了基于Flex的界面组合SDK,其中使用Hook机制实现UI Part生命周期管理. Master-Details关系构建和UI Part注入.Hook即钩子,其作用可以理解为通过透明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7jOqp.html" rel="bookmark" class="title">小心C语言时间函数陷阱</a>
					<div>
						在编写C语言的应用程序时,为了获取或者打印一些跟时间有关的信息,我们经常会使用到C语言自带的一 些时间函数,诸如:time.localtime.ctime.mktime和asctime等.但你可能没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnWVBz.html" rel="bookmark" class="title">大话数据结构三：线性表的链式存储结构（静态链表）</a>
					<div>
						1. 静态链表:用数组描述的链表叫静态链表,通常为方便数据插入,我们会把数组建的大一些. 2. 数组元素(node):由两个数据域组成(data,cursor).数据域data用来存放数据元素,也就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLoDOb.html" rel="bookmark" class="title">Oracle体系结构及备份（一） 了解体系结构</a>
					<div>
						Oracle体系结构及备份开篇,了解体系结构.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jD3ob.html" rel="bookmark" class="title">sql多表联查实例</a>
					<div>
						  sql多表联查实例 下面提供四款sql多表关联查询的实例,个个效率不一样. select * from order_info as a ,ivrlog4ivrdlvinst as b where  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRNLlp.html" rel="bookmark" class="title">Excel 数据有效性如何限定输入数据？</a>
					<div>
						  点击&quot;数据&quot;选项卡 ,&quot;数据工具&quot;组里面&quot;数据有效性&quot;按钮. &quot;设置&quot;选项卡中的&quot;允许&quot;,并在下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwE51p.html" rel="bookmark" class="title">应用-怎样自己设置锁屏。。。。。。。。。我不会，谁来教我啊，我设置里找了没找到。帮我帮我帮我。。。</a>
					<div>
						问题描述 怎样自己设置锁屏.........我不会,谁来教我啊,我设置里找了没找到.帮我帮我帮我... 20C 怎样自己设置锁屏.........我不会,谁来教我啊,我设置里找了没找到.帮我帮我帮我. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoJlmb.html" rel="bookmark" class="title">java-求Java大神帮助问题，谢谢啦</a>
					<div>
						问题描述 求Java大神帮助问题,谢谢啦 使用数据报套接字编写C/S程序,基本要求:采用UDP实现,客户端构造数据包发送到服务器,服务器端收到后,把系统日期和时间等信息构造成一个数据报发送到客户端,客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKRlgb.html" rel="bookmark" class="title">让网页图片变灰色的三种方法</a>
					<div>
						原文 让网页图片变灰色的三种方法 我一直喜欢灰度图像因为我认为他们看起来更有艺术感.很多图片编辑如Photoshop很容易把你的彩色图像变成灰度.甚至有选择调整颜色深度和色调.不幸的是,这样的效果想做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAGa6p.html" rel="bookmark" class="title">PostgreSQL 忘记提交2PC事务对数据库造成的危害&period;</a>
					<div>
						我在数据库中开启了一个2PC事务,但是不去管他,会发生什么呢?有什么危害? postgres=# begin; BEGIN postgres=# insert into t6 values (1);  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmaoNb.html" rel="bookmark" class="title">中兴2015年营收破千亿 数据中心业务不断增长</a>
					<div>
						1月20日报道,中兴通讯发布业绩快报,2015年营收人民币1008.25亿元,较上年增长23.76%,归属于上市公司普通股股东的净利润为人民币37.78 亿元,较上年增长43.48%. 公告显示,20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZvGvp.html" rel="bookmark" class="title">T&period;H&period;Capital今天发布研究报告，维持携程网股票持有评级</a>
					<div>
						摘要: 查看最新行情 北京时间8月28日凌晨消息,美国投资公司T.H.Capital今天发布研究报告,将 携程网 (Nasdaq: CTRP )的股票评级维持在持有(Hold)不变. 以下是报告内容摘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNmKBM.html" rel="bookmark" class="title">匿名社交无秘推出2&period;0新版 新增私信功能</a>
					<div>
						6月18日上午消息,匿名社交软件无秘今日将推出2.0新版本,新版本增加了私信功能,用户可以基于某一条秘密进行私信对话. 新浪科技获得的内测版显示,在主界面上每一条&quot;秘密&quot;都增加了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Qe64M.html" rel="bookmark" class="title">Photoshop画笔快速制作下雪效果教程分享</a>
					<div>
						给各位Photoshop软件的使用者们来详细的解析分享一下画笔快速制作下雪效果的教程. 教程分享: 原图   1.首先要制作500p*500p大小的笔刷,如下.   2.设置笔刷大小跟密集程度等等(根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmQr4z.html" rel="bookmark" class="title">Chrome 将停止支持 PNaCl ，拥抱 WebAssembly</a>
					<div>
						Chrome 从 2013 年开始支持 PNaCl(Portable Native Client),为开发者提供了一种技术去构建高性能的 Web 应用,但这项技术只有 Google 支持.源自 Moz ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJ45LM.html" rel="bookmark" class="title">WinForm 中 DataGridView的 一个问题</a>
					<div>
						问题描述 我对DataGridView中的某一条数据修改了.要重新绑定,怎么才能只绑定我刚修改的那一条数据,.其它的都不变,修改是在外面的文本框里面修改的. 解决方案 解决方案二:SqlParamet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Yjy7p.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;FreeStor混合云版&rdquo;上线：消费体验如何升级？</a>
					<div>
						中国,北京---2016年11月,软件定义存储解决方案创新公司飞康软件有限公司(NASDAQ:FALC)宣布其自有软件定义存储平台FreeStor 正式进军混合云领域.基于异构存储平台,飞康公司将面向 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdJv5b.html" rel="bookmark" class="title">人才网站使用的百度地图搜索怎么做？</a>
					<div>
						问题描述 有哪位高手清楚人才网站的百度地图搜索如何做的,网上找不到相关资料,谁能给点,现在很多人才网都有的百度地图搜索. 解决方案 解决方案二:KindEditor编辑器自带一个解决方案三:百度地图A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdralM.html" rel="bookmark" class="title">MULE ESB环境搭建和例子&lpar;通过装插件的方式&rpar;</a>
					<div>
						环境搭建和例子: Download mule standaloe from web site: 1.    http://www.mulesoft.org/download-mule-esb-comm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXlyvz.html" rel="bookmark" class="title">SQL SERVER 的模糊查询 LIKE</a>
					<div>
						今天写个动态脚本,需要把数据库里面包含&quot;USER_&quot;的表删除掉,突然想不起来如何搜索通配字符了,赶紧查查MSDN,整理了下模糊查询的知识点,留着以后查阅用.   LIKE模糊查询的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLR8wp.html" rel="bookmark" class="title">浏览器厂商加速联姻应用类网站</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 微软IE曾经是浏览器市场上的绝对主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqOoA3z.html" rel="bookmark" class="title">图文：实体和程序细节讨论环节</a>
					<div>
						图为:中国首届域名大会,实体和程序细节讨论环节.(胡秀岩/摄 新浪网) 2009年中国首届域名大会于6月4日在北京召开,本次大会将发布我国首个&lt;域名产业报告&gt;.此次大会由中国互联网络信息中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWKeNjM.html" rel="bookmark" class="title">SUN认证考试火热报名中</a>
					<div>
						问题描述 SUN认证考试火热报名中-----JAVA开发语言培训和认证赋予您开发的非凡才能对于当今有志从事计算机行业的人而言,最重要的一件事情就是:学习Java!在it业迅猛发展的今天,获得权威认证为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z750xaM.html" rel="bookmark" class="title">英特尔再次延迟新品疑与欧盟巨额罚单有关</a>
					<div>
						英特尔公司昨日表示再一次推迟代号为&quot;Tukwila&quot;的下一代安腾处理器的发布时间至明年一季度.英特尔在声明中称,做出这个决定是因为发现了一个增加新增强功能的机会.此前该处理器的发布 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
